﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<ADAuthTemplate.Models.User> SignInManager
@inject ADAuthTemplate.Identity.LdapUserManager UserManager


<ul class="navbar-nav">
    @if (SignInManager.IsSignedIn(User))
    {
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle text-white" href="#" id="logoutMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                @User.Identity.Name
            </a>
            <div class="dropdown-menu" aria-labelledby="logoutMenuLink">
                <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                    <button type="submit" class="nav-link btn btn-link text-dark">Logout</button>
                </form>
                @*<a class="nav-link text-dark" asp-area="" asp-controller="Info" asp-action="Index">Help/Info</a>
                    <a class="nav-link text-dark" asp-area="" asp-controller="Info" asp-action="Account">My account</a>*@
            </div>
        </li>
    }
    else
    {
        <li class="nav-item">
            <a class="nav-link text-white" asp-area="Identity" asp-page="/Account/Login">Login</a>
        </li>
    }
</ul>
